## looking-glass 0+b6+ds1

=== debian/changelog ===
looking-glass (0+b6+ds1-1) unstable; urgency=medium

  * Repack source to remove vendored wayland-protocols sources
  * Patch nanosvg to fix build with GCC 14 (Closes: #1075231)

 -- James Lu <jlu@debian.org>  Sun, 11 Aug 2024 11:17:50 -0700
