=== debian/control ===
Source: looking-glass
Section: net
Priority: optional
Maintainer: Lennart Weller <lhw@ring0.de>
Uploaders: James Lu <jlu@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               fonts-freefont-ttf,
               libfontconfig-dev,
               libobs-dev,
               libpipewire-0.3-dev,
               libpulse-dev,
               libsamplerate0-dev,
               libsdl2-dev,
               libsdl2-ttf-dev,
               libspice-protocol-dev,
               libx11-dev,
               nettle-dev,
               libxpresent-dev,
               wayland-protocols
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://looking-glass.hostfission.com
Vcs-Browser: https://salsa.debian.org/lhw-guest/looking-glass
Vcs-Git: https://salsa.debian.org/lhw-guest/looking-glass.git

Package: looking-glass-client
Architecture: amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: qemu-system-x86, xen-hypervisor
Description: Low latency KVM FrameRelay implementation for VGA Passthrough
 LookingGlass enables you to use shared memory to pass rendered frames from a
 virtual machine back to the host system.
 .
 A LookingGlass Host implementation is required to run on the guest virtual
 machine. It is recommended that the client and host versions match. See the
 README.Debian for more information.

Package: obs-plugin-looking-glass
Architecture: amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: Looking Glass KVM FrameRelay plugin for OBS-Studio
 LookingGlass enables you to use shared memory to pass rendered frames from a
 virtual machine back to the host system.
 .
 This package adds a source plugin for OBS Studio which allows recording the
 looking-glass host session directly from the shared memory.
