=== debian/watch ===
version=4
opts=uversionmangle=s/(a|B)(\d\S*)/\L$1$2/,dversionmangle=s/^0\+(.*?)(\+(dfsg|ds)(\.?\d+)?)?$/$1/,filenamemangle=s@artifact/(.+?)/source@looking-glass-$1\.tar\.gz@,oversionmangle=s/(.*)/0+$1+ds1/ \
  https://looking-glass.io/downloads \
  artifact/([a|B][\d\.]+)/source
