=== debian/changelog ===
looking-glass (0+b7~rc1+ds1-1) experimental; urgency=medium

  * Merge from unstable:
    - Repack source to remove vendored wayland-protocols sources
    - Patch nanosvg to fix build with GCC 14 (Closes: #1075231)
  * Update debian/watch to track release candidates for the experimental
    branch.
  * Refresh debian/patches

 -- James Lu <jlu@debian.org>  Sat, 31 Aug 2024 20:54:01 -0700

looking-glass (0+b7~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- James Lu <jlu@debian.org>  Sat, 27 Apr 2024 14:39:39 -0700
