=== client/audiodevs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 project(audiodevs LANGUAGES C)
 
 set(AUDIODEV_H "${CMAKE_BINARY_DIR}/include/dynamic/audiodev.h")
