=== client/renderers/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 project(renderers LANGUAGES C)
 
 set(RENDERER_H "${CMAKE_BINARY_DIR}/include/dynamic/renderers.h")
