=== debian/changelog ===
looking-glass (0+b7+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Packaging changes:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Add gbp.conf
    - Remove obsolete example config; newer releases use a different format
    - Install upstream icon and .desktop file

 -- James Lu <jlu@debian.org>  Sat, 21 Jun 2025 19:35:25 -0700
