=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                nettle-dev,
                libxpresent-dev,
                wayland-protocols
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://looking-glass.hostfission.com
 Vcs-Browser: https://salsa.debian.org/lhw-guest/looking-glass
